import request from '@/utils/request'

// 查询装置培训计划列表
export function listBccregular(query) {
  return request({
    url: '/training/bccregular/list',
    method: 'get',
    params: query
  })
}

// 查询装置培训计划详细
export function getBccregular(id) {
  return request({
    url: '/training/bccregular/' + id,
    method: 'get'
  })
}

// 新增装置培训计划
export function addBccregular(data) {
  return request({
    url: '/training/bccregular',
    method: 'post',
    data: data
  })
}

// 批量
export function batchAddTraining(query) {
  return request({
    url: '/training/bccregular/batchAddTraining',
    method: 'get',
    params: query
  })
}

// 修改装置培训计划
export function updateBccregular(data) {
  return request({
    url: '/training/bccregular',
    method: 'put',
    data: data
  })
}

// 删除装置培训计划
export function delBccregular(id) {
  return request({
    url: '/training/bccregular/' + id,
    method: 'delete'
  })
}

// 导出装置培训计划
export function exportBccregular(query) {
  return request({
    url: '/training/bccregular/export',
    method: 'get',
    params: query
  })
}
